Bug 1467769 - Confusing message for whines containing secure bugs
Confusing message for whines containing secure bugs
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Extensions (Show other bugs)
5.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Jeff Fearn
Jeff Fearn
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 00:55 EDT by Jeff Fearn
Modified: 2018-04-18 06:15 EDT (History)
0 users

See Also:
Fixed In Version: 5.0.4-rh2
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-18 06:15:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2017-07-05 00:55:54 EDT
Description of problem:
If there is a secure bug in a whine then if the users has not set a PGP key they get the password reset message instead of the visit a bug link.

Version-Release number of selected component (if applicable):
5.0

How reproducible:
Involved

Steps to Reproduce:
1. have a whine that sends details of a secure bug to someone without a PGP password setup

Actual results:
You get sent the password reset variant of the message

Expected results:
hmm well if there is any secure bugs in the email then it will encrypt the whole mail, so a link isn't appropriate. Should send a link to the saved search so you can manually run it.

Additional info:
Comment 1 Jeff Fearn 2018-04-13 01:52:17 EDT
Correct instructions now appear in whine mails.
Comment 2 Jeff Fearn 2018-04-18 06:15:04 EDT
This bug has been resolved in Red Hat Bugzilla 5 and can be tested on https://beta-bugzilla.redhat.com

If there are any issues, do not reopen this bug. Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.